libmspack

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
mskwajd_header Struct Reference

A structure which represents an KWAJ compressed file. More...

`#include <mspack.h>`

## Data Fields

unsigned short | comp_type
| The compression type; should be one of MSKWAJ_COMP_NONE, MSKWAJ_COMP_XOR, MSKWAJ_COMP_SZDD or MSKWAJ_COMP_LZH.
off_t | data_offset
| The offset in the file where the compressed data stream begins.
int | headers
| Flags indicating which optional headers were included.
off_t | length
| The amount of uncompressed data in the file, or 0 if not present.
char * | filename
| output filename, or NULL if not present
char * | extra
| extra uncompressed data (usually text) in the header.
unsigned short | extra_length
| length of extra uncompressed data in the header

## Detailed Description

A structure which represents an KWAJ compressed file.

All fields are READ ONLY.

## Field Documentation

unsigned short mskwajd_header::comp_type

The compression type; should be one of MSKWAJ_COMP_NONE, MSKWAJ_COMP_XOR, MSKWAJ_COMP_SZDD or MSKWAJ_COMP_LZH.

off_t mskwajd_header::data_offset

The offset in the file where the compressed data stream begins.

char* mskwajd_header::extra

extra uncompressed data (usually text) in the header.

This data can contain nulls so use extra_length to get the size.

unsigned short mskwajd_header::extra_length

length of extra uncompressed data in the header

char* mskwajd_header::filename

output filename, or NULL if not present

int mskwajd_header::headers

Flags indicating which optional headers were included.

off_t mskwajd_header::length

The amount of uncompressed data in the file, or 0 if not present.

The documentation for this struct was generated from the following file:

- mspack.h

All Data Structures Files Functions Variables Defines